Bug 125035 - [maintainer-update|patch] irc/ratbox-services: Update to new 1.2.x version
Summary: [maintainer-update|patch] irc/ratbox-services: Update to new 1.2.x version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-27 03:00 UTC by moggie
Modified: 2008-07-03 20:40 UTC (History)
1 user (show)

See Also:


Attachments
ratbox-services-1.2.0.diff (42.03 KB, patch)
2008-06-27 03:00 UTC, moggie
no flags Details | Diff
ratbox-services-1.2.1.diff (1.47 KB, patch)
2008-06-28 13:41 UTC, moggie
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description moggie 2008-06-27 03:00:02 UTC
Update of irc/ratbox-services port from ratbox-services-1.1.2 to ratbox-services-1.2.0

Some port changes include:
  o Removed port dependency on patch files.
  o Added LIB_DEPENDS for requiring pcre to build services.
  o Added CONFIGURE_ENV options to help configure detect sqlite and pcre libs and header files.
  o Added PERL dependency for database schema generation scripts on port installation.
  o Added new Memoserv configure options.
  o Restored MySQL database backend support.
  o Fixed build error caused when building with 'NOPORTDOCS=yes'.

Brief list of some package changes:
  o Multi-language support - Support for different language translations of services help files and
    responses (currently not recommended in this release).
  o Memoserv - A new service allowing usernames to send memos to each other.
  o Service merging - Ability to merge services like banserv, jupeserv and watchserv into operserv.
  o Regexp - Ability to add regular expression ban matches.
  o Suspend - Ability to suspend users and channels.


--- Note for /usr/src/UPDATING ---

Configuration file and database changes have been made between the
1.1.x series and the current release version of ratbox-services.

It is highly recommended that services be stopped, and the proper
upgrade procedure be followed as described in
'/usr/local/share/doc/ratbox-services/', before restarting
ratbox-services using the new release version.

Please remember to backup the database before attempting an
upgrade, an incorrectly upgraded database may be rendered unusable.

The ratbox-services-1.2.x branch implements multi-language support.
However, an inconsistency in the language indexing may result in
errors. It is therefore recommended that the English default be
used until the next version release.

--- End of UPDATING note ---
Comment 1 Edwin Groothuis freebsd_committer 2008-06-27 03:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this category PRs (via the GNATS Auto Assign Tool)
Comment 2 moggie 2008-06-28 13:41:17 UTC
Update of irc/ratbox-services port from ratbox-services-1.2.0 to 
ratbox-services-1.2.1

Update to fix the following:
  o Fix an unquoted SQL string security vuln related to email, that 
could be used for SQL injection.
  o Fix the configure test for --with-pcre.
  o Note: Multi-language support is available in the 1.2.x release, but 
may produce warning
    messages on some of the RU translation strings. These messages 
cannot be converted and
    instead are simply displayed in English.
Comment 3 dfilter service freebsd_committer 2008-07-02 23:28:19 UTC
beech       2008-07-02 22:28:14 UTC

  FreeBSD ports repository

  Modified files:
    irc/ratbox-services  Makefile distinfo pkg-plist 
    irc/ratbox-services/files patch-Makefile.in 
                              patch-help_Makefile.in 
                              patch-include_config.h 
                              patch-tools_generate-schema.pl 
                              pkg-message.in 
  Added files:
    irc/ratbox-services/files patch-langs_Makefile.in 
  Log:
  - Update to 1.2.0
  
  Some port changes include:
  o Removed port dependency on patch files.
  o Added LIB_DEPENDS for requiring pcre to build services.
  o Added CONFIGURE_ENV options to help configure detect sqlite and pcre libs and header files.
  o Added PERL dependency for database schema generation scripts on port installation.
  o Added new Memoserv configure options.
  o Restored MySQL database backend support.
  o Fixed build error caused when building with 'NOPORTDOCS=yes'.
  
  Brief list of some package changes:
  o Multi-language support - Support for different language translations of services help files and
  responses (currently not recommended in this release).
  o Memoserv - A new service allowing usernames to send memos to each other.
  o Service merging - Ability to merge services like banserv, jupeserv and watchserv into operserv.
  o Regexp - Ability to add regular expression ban matches.
  o Suspend - Ability to suspend users and channels.
  
  PR:             ports/125035
  Submitted by:   Lewis <moggie@elasticmind.net> (maintainer)
  
  Revision  Changes    Path
  1.8       +29 -26    ports/irc/ratbox-services/Makefile
  1.3       +3 -12     ports/irc/ratbox-services/distinfo
  1.3       +8 -6      ports/irc/ratbox-services/files/patch-Makefile.in
  1.3       +24 -12    ports/irc/ratbox-services/files/patch-help_Makefile.in
  1.2       +3 -4      ports/irc/ratbox-services/files/patch-include_config.h
  1.1       +21 -0     ports/irc/ratbox-services/files/patch-langs_Makefile.in (new)
  1.2       +2 -2      ports/irc/ratbox-services/files/patch-tools_generate-schema.pl
  1.4       +13 -5     ports/irc/ratbox-services/files/pkg-message.in
  1.5       +592 -179  ports/irc/ratbox-services/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Beech Rintoul freebsd_committer 2008-07-02 23:34:09 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 5 dfilter service freebsd_committer 2008-07-03 20:32:57 UTC
beech       2008-07-03 19:32:52 UTC

  FreeBSD ports repository

  Modified files:
    irc/ratbox-services  Makefile distinfo pkg-descr 
  Log:
  - Update to 1.2.1
  
  PR:             ports/125035
  Submitted by:   Lewis <moggie@elasticmind.net> (maintainer)
  
  Revision  Changes    Path
  1.9       +1 -1      ports/irc/ratbox-services/Makefile
  1.4       +3 -3      ports/irc/ratbox-services/distinfo
  1.4       +1 -0      ports/irc/ratbox-services/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"